The week's lunch menu
curl --request GET \
--url https://api.example.com/v1/shopping/menu \
--cookie __Secure-better-auth.session_token=import requests
url = "https://api.example.com/v1/shopping/menu"
headers = {"cookie": "__Secure-better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: '__Secure-better-auth.session_token='}};
fetch('https://api.example.com/v1/shopping/menu', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/shopping/menu",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "__Secure-better-auth.session_token=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/shopping/menu"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "__Secure-better-auth.session_token=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/shopping/menu")
.header("cookie", "__Secure-better-auth.session_token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/shopping/menu")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = '__Secure-better-auth.session_token='
response = http.request(request)
puts response.read_body{
"week": "<string>",
"days": [
{
"date": "<string>",
"proposed": "<string>",
"dish": "<string>",
"status": "proposed",
"choice": "<string>",
"reason": "disliked",
"alternatives": [
"<string>"
]
}
],
"suggestions": [
{
"name": "<string>",
"quantity": "<string>",
"dates": [
"<string>"
]
}
]
}{
"message": "Unauthorized",
"statusCode": 401
}{
"code": "<string>",
"details": {}
}{
"code": "request.timeout",
"correlationId": "<string>"
}{
"code": "request.timeout",
"correlationId": "<string>"
}Shopping
The week's lunch menu
The lunch of each day of the week starting on the Monday week, derived from the regional seed, the house’s current choices and the routine’s trips: a trip covering a day’s lunch (by 12:00) shows the day as trip and beats any choice. alternatives are five dishes, the dish that left a day among them. suggestions are the ingredients of every day eaten at home, one row per name, leaving out names open on the list; by first date, then position in that day’s dish.
GET
/
v1
/
shopping
/
menu
The week's lunch menu
curl --request GET \
--url https://api.example.com/v1/shopping/menu \
--cookie __Secure-better-auth.session_token=import requests
url = "https://api.example.com/v1/shopping/menu"
headers = {"cookie": "__Secure-better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: '__Secure-better-auth.session_token='}};
fetch('https://api.example.com/v1/shopping/menu', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/shopping/menu",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "__Secure-better-auth.session_token=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/shopping/menu"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "__Secure-better-auth.session_token=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/shopping/menu")
.header("cookie", "__Secure-better-auth.session_token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/shopping/menu")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = '__Secure-better-auth.session_token='
response = http.request(request)
puts response.read_body{
"week": "<string>",
"days": [
{
"date": "<string>",
"proposed": "<string>",
"dish": "<string>",
"status": "proposed",
"choice": "<string>",
"reason": "disliked",
"alternatives": [
"<string>"
]
}
],
"suggestions": [
{
"name": "<string>",
"quantity": "<string>",
"dates": [
"<string>"
]
}
]
}{
"message": "Unauthorized",
"statusCode": 401
}{
"code": "<string>",
"details": {}
}{
"code": "request.timeout",
"correlationId": "<string>"
}{
"code": "request.timeout",
"correlationId": "<string>"
}Authorizations
The session cookie set when you sign in to the web app.
Query Parameters
Maximum string length:
10